/*GLOBAL FOR ALL ACTIVITIES*/

html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

* {
  font-family: 'Ubuntu', Tahoma, Geneva, sans-serif;
/*  border:solid 1px black;*/
}

body {
  background-color: #f0f7fd;
  line-height: 1.4;
}
p {
  margin: .5em 0;
}

textarea, input[type="text"] {
  border:solid 1px #3d9ed8;
  border-radius: 3px;
  display: block;
  margin: 5px 0;
  height: 1.7em;
}
textarea {
  min-width:400px;
}

input[name="q"] {
  width: 100%;
}

.wrapper {
  max-width: 1100px;
  margin:auto;
}

.bold {
  font-weight: bold;
  color: #055b86;
}

.backgroundTexture {
  background-image: url("triangles.png");
}

/*--Colors and containers for the stylized header and footer--*/
.mainColor {
  float:left;
  background-color: #59b9ea;
  width: 75%;
}

.darker {
  float:left;
  background-color: #3d9ed8;
  width: 15%;
}

.lighter {
  float:left;
  background-color: #b4dff8;
  width: 10%;
}

.header, .footer {
  margin: 1em 0;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  width: 100%
}

.footer {
  flex-direction: row-reverse;
}

.footer .mainColor {
  width: 10%;
}

.footer .darker {
  width: 15%;
}

.footer .lighter {
  width:75%;
}

/*--Headers in text--*/
h1 {
  margin:0;
  padding: 5px 8px;
  color: white;
  font-weight: bold;
  font-size: 1.6em;
}

h2 {
  color: #008bd2;
  margin: 7px 0;
  font-size: 1.3em;
  margin: 15px 0 0 0;
}

h3 {
  font-size: 1.1em;
  margin: 15px 0 0 0;
  color: #006da5;
}

/*--Links--*/

a {
  font-weight: bold;
  color: #008bd2;
  text-decoration: none;
}

a:hover {
  color:white;
  background: linear-gradient(to right, #59b9ea, #2e7baa);
  border-radius: 5px;
  padding: 1px 3px;
}

/*--Slide visibility for one-page navigation--*/
.slide {
  padding: 0;
  display: none;
}

/*--All buttons--*/
button {
  background-color: #008bd2;
  color:white;
  display: inline-block;
  margin:7px;
  padding: 3px 6px;
  border-radius: 5px;
  border:none;
  font-size:1em;
  font-weight: 500;
  cursor: pointer;
  line-height: 1.2;
}

/*--Navigation buttons--*/
#navButtons {
  height: 38px;
}

#navButtons.first #back {
  display: none;
}

#navButtons.last #next {
  display: none;
}

img {
  max-width: 100%;
}

li {
  font-size: 1em;
  margin:0;
}

li + p {
  margin-top: .3em;
}

/*-- Container and buttons for Showing/Hiding answers --*/
.question {
  border:solid 1px #3d9ed8;
  border-radius:5px;
  padding: 0 15px 15px 15px;
  margin: 15px 0;
}

.answer {
  display: none;
  overflow: hidden;
}

.answer_button,.review {
  margin:0;
  background-color: #3abcff;
}

/*-- Radio buttons and their labels stay in line--*/

input[type="radio"] {
  float: left;
}

label {
  display: block;
}

label + li {
  margin-top: 1.2em;
}

/* -- Initial screen when activity is already completed --*/

.spread {
  overflow: hidden;
}

#completed {
  z-index: 1000;
  position: absolute;
  left: 0px;
  top: 0px;
  background: linear-gradient(to bottom right, rgba(0, 0, 70,0.8), rgba(28, 181, 224, 0.8));
  width: 100vw;
  height: 100vh;
  text-align: center;
  text-shadow: 2px 2px 7px #000000;
  padding: 20px;
  padding-top: 50px;
  color: white;
  font-size: 3em;
  font-weight: bold;
  display: none;
}

#completed button {
  font-size: .5em;
  font-weight: 500;
  box-shadow: 0px 0px 20px 4px white;
  margin-bottom: 20px;
  border:1px solid white;
  border-radius: 10px;
  padding: 7px 15px;
}

/*-- Graph for 01 Whats Your Ethical Style --*/

#graphEthics {
  display: flex;
  flex-direction: row;
  height: 70px;
  border-radius: 35px;
  overflow: hidden;
  text-align: center;
  font-size: 25px;
  font-weight: bold;
  color: white;
  text-shadow: 2px 2px 5px black;
  box-shadow: 0px 0px 20px grey;
  margin: 20px;
}

#justice {
  background:linear-gradient(to right, #753a88,#cc2b5e);
  width: 11%;
  padding-top: 17px;
}

#care {
  background:linear-gradient(to right, #22b904, #e6ff1c);
  width: 89%;
  padding-top: 17px;
}

/* -- bar chart made of divs for 02 How Do You Communicate -- */

.graph {
  width:100%;
  margin: 1em 0;
  padding: 10px 0;
  display: flex;
  flex-flow: row nowrap;
  border:solid 1px #3d9ed8;
  border-radius:5px;
}

.labels {
  display: flex;
  flex-flow: column nowrap;
}

.bars {
  display: flex;
  flex-flow: column nowrap;
  width: 100%;
}

.unit {
  display: flex;
  flex-flow: row nowrap;
}

.unit > span {
  display: none;
}

.bar {
  width: 0;
  float: right;
  transition: all 1s ease;
  height: 50px;
  margin: 5px 0;
  padding: 0;
  box-shadow: 5px 5px 5px darkgrey;
  color:white;
  font-weight: bold;
  border-radius: 5px;
  overflow: hidden;
}

span.outsideText {
  display: inline;
  color:grey;
  margin-left: 5px;
  padding-top: 18px;
  font-weight: bold;
}

div.regularPadding {
  padding: 15px 4px;
}

.scale {
  display: flex;
  flex-flow: row wrap;
  margin-right: 2px;
  color: #015e8d;
}

.scale > div {
  border-width: 1px;
  border-color: #015e8d;
  border-style: none none dotted dotted;
  width: 25%;
  height: 1em;
  margin-top: 5px;
  padding: 0 2px 17px 2px;
  line-height: .9;
}

#end {
  border-right:dotted 1px;
  display: flex;
  justify-content: space-between;
}

#end > span {
  display: block;
}

.label {
  width: 100px;
  height: 50px;
  text-align: right;
  vertical-align: middle;
  float: left;
  margin: 5px 0;
  padding: 14px;
}

#specialCase {
  padding-top: 3px;
}

#aggressive, .bar1 {
  background:linear-gradient(to right, #753a88,#cc2b5e);
}
#passiveAggressive, .bar2 {
  background:linear-gradient(to right, #e65c00, #F9D423);
}
#passive, .bar3 {
  background:linear-gradient(to right, yellowgreen, yellow);
}
#assertive, .bar4 {
  background:linear-gradient(to right, #007991, #78ffd6);
}

/* -- Drag'n'drop and bar chart for 03 Communication Collaboration -- */

.drag_n_drop {
  border: 1px #3d9ed8 solid;
  border-radius: 5px;
  padding: 10px 10px;
  font-family: sans-serif;
  float: left;
  margin: 1%;
  list-style-type: none;
  overflow: hidden;
  font-size: 0.8em;
  width:23%;
}

.heading {
  padding: 10px;
  font-weight: bold;
  font-size: 1.4em;
  border-radius: 5px;
  text-align: center;
}

.item span {
  margin: 0;
  width: 100%;
  height: 100%;
  display: block;
  padding: 5px;
}
.drag_n_drop li {
  min-height: 30px;
  display: block;
  border: 1px solid;
  margin: 5px 0;
  border-radius: 5px;
  text-align: center;
  cursor:move;
}
.drag_n_drop ul {
  display: block;
  margin: 5px 0;
  width: 100%;
  min-height: 200px;
  padding: 0;
  list-style-type: none;
}

div[data-cat='pro'] .heading {
  background-color: #c0ff9e;
}
div[data-cat='pro'] li {
  background-color: #e6ffd8;
  border-color: #7bd24c;
}
div[data-cat='con'] .heading {
  background-color: #ffb8b8;
}
div[data-cat='con'] li {
  background-color: #ffdada;
  border-color: #f77a7a;
}

.match_controls {
  text-align: left;
  width: 100%;
  clear: both;
  margin-right: 20px;
  font-family: sans-serif;
}
.match_results {
  margin-left: 15px;
  display: none;
  color: #008bd2;
  font-weight: bold;
  font-size: 1.2em;
}

.check_results {
  box-shadow: 2px 2px 2px black;
  font-size: 1.2em;
}

.correct, .total {
  font-weight: bold;
}

#commColl .label {

  height: 60px;
  margin: 5px 0;
  padding: 2px 7px;

  width: 100px;
  font-size: .8em;
}

 #commColl .bar {
 	background-color: yellow;
 	width: 25%;
 	height: 60px;
 } 

/*-- Grid in 05 Six-word memoirs -- */

#memoirQuiz, #studentMemoirs {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
}

#memoirQuiz > .question, #studentMemoirs > .question {
  width: 45%;
  min-width: 200px;
}

#yourInput {
  width: 500px;
}

/* -- Draggins and sorting for 06 Paragraphy Pile-up -- */

.tiles ul {
  padding: 0 0 7px 0;
}

.tiles li {
  min-height: 30px;
  display: block;
  background-color: #e3f4fd;
  border: 1px solid #008bd2;
  margin: 5px 0;
  border-radius: 5px;
  cursor:move;
}

.tiles span {
  padding: 2px 5px;
  display: block;
}

li.placeholder {
  border:none;
  border-radius: 0;
  background-color: #fff48f;
}

li.red {
  background-color: #ffdada;
  border-color: #f77a7a;
}

li.green {
  background-color: #e6ffd8;
  border-color: #7bd24c;
}

ul.disabled li {
  cursor:default;
}

/* -- Small adjustments for 07 Active Passive Voice -- */

.sentence>span {
  display: inline-block;
  background-color: white;
  color: #5d5c5c;
  padding: 5px;
  border-radius: 10px;
  margin-bottom: 10px;
}

.reviewH {
  margin-top: 0;
}

/*--Classes used to show and hide all kinds of elements across pages,
  at the end to override all other display instructions--*/
.hide {
  display: none;
}

.show {
  display: block;
}
/*--Media Queries--*/

@media (max-width: 550px) {
  textarea, input[type="text"] {
  min-width: 100%;
  }

  #completed {
    font-size: 2em;
  }

  .drag_n_drop {
  	width: 48%;
  }

  .tiles ul {
  width: 85%;
  }

  .tiles span {
    font-size: .8em;
  }

  .bar, span.outsideText {
    font-weight: 400;
    font-size: .9em;
  }

  #graphEthics {
    font-size: 15px;
    height: 50px;
    margin: 20px 0 30px 0;
  }
  #justice, #care {
    padding-top: 13px;
  }

  .scale {
    font-size: .65em;
  }

  #quiz > .question, #studentMemoirs > .question {
    width: 100%;
  }

  #yourInput {
    width: 100%;
  }
}

@media (-moz-touch-enabled: 1), (pointer:coarse) {
    .tiles li {
        cursor:default;
    }
    .drag_n_drop li {
        cursor:default;
    }
}

